<?php

namespace Mailbox\Domain\Message\Contracts;

use Repo\RepositoryCriteriaInterface;

interface MessageAttachmentCriteriaInterface extends RepositoryCriteriaInterface
{

    /**
     * @return string|null
     */
    public function getSearchByAttachmentName(): ?string;

    /**
     * @return array|null
     */
    public function getFilterByAttachmentExt(): ?array;

    /**
     * @return string|null
     */
    public function getFilterByAttachmentRegexp(): ?string;
}
